EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'BuildMaster_GetCurrentDateTime',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ 'Current_Date',
    /* Description_Text        */ 'Stored procedure for internal use only.'
GO

IF OBJECT_ID('[BuildMaster_GetCurrentDateTime]') IS NOT NULL DROP PROCEDURE [BuildMaster_GetCurrentDateTime]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [BuildMaster_GetCurrentDateTime]
(
	@Current_Date DATETIME OUT
)
AS
BEGIN

	SET NOCOUNT ON
    
    SET @Current_Date = GETUTCDATE()

END
GO

GRANT EXECUTE ON [BuildMaster_GetCurrentDateTime] TO [BuildMasterUser_Role]