EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'BuildTestResults_GetAllGroups',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'BuildTestResults_AllGroups',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all of the test result groups in the system.'
GO


IF OBJECT_ID('[BuildTestResults_GetAllGroups]') IS NOT NULL DROP PROCEDURE [BuildTestResults_GetAllGroups]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [BuildTestResults_GetAllGroups]
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [BuildTestResults_AllGroups]
	 ORDER BY [Group_Name]

END
GO

GRANT EXECUTE ON [BuildTestResults_GetAllGroups] TO [BuildMasterUser_Role]
