EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'BuildTestResults_GetTestGroupResults',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'BuildTestResults_TestGroupResults',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the unit test results for a specified build execution.'
GO


IF OBJECT_ID('[BuildTestResults_GetTestGroupResults]') IS NOT NULL DROP PROCEDURE [BuildTestResults_GetTestGroupResults]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [BuildTestResults_GetTestGroupResults]
(
	@Execution_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

    SELECT * 
      FROM [BuildTestResults_TestGroupResults]
	 WHERE [Execution_Id] = @Execution_Id

END
GO

GRANT EXECUTE ON [BuildTestResults_GetTestGroupResults] TO [BuildMasterUser_Role]