--AH:ScriptId=a18483fe-6426-4105-bf3a-c61842111419;549
CREATE TABLE [VariableDeclarations]
(
	[VariableDeclaration_Id] INT IDENTITY NOT NULL,
	[Scope_Code] CHAR(1) NOT NULL,
	[Variable_Name] VARCHAR(50) NOT NULL,
	[Scoped_Application_Id] INT,
	[Required_Indicator] YNINDICATOR NOT NULL,
	[Variable_Configuration] VARCHAR(MAX),
	[DefaultValue_Text] VARCHAR(MAX),
	[CreatedBy_User_Name] USERNAME NOT NULL,
	[CreatedOn_Date] DATETIME NOT NULL,
	[ModifiedBy_User_Name] USERNAME,
	[ModifiedOn_Date] DATETIME,

	CONSTRAINT [PK__VariableDeclarations]
		PRIMARY KEY ([VariableDeclaration_Id]),

	CONSTRAINT [FK__VariableDeclarations__Applications]
		FOREIGN KEY ([Scoped_Application_Id])
		REFERENCES [Applications] ([Application_Id]),

	CONSTRAINT [UQ__VariableDeclarations__Scope__Name]
		UNIQUE ([Scope_Code], [Variable_Name], [Scoped_Application_Id]),

	CONSTRAINT [CK__VariableDeclarations__Scoped_Application_Id__Scope_Code]
		CHECK (([Scope_Code] IN ('P', 'B', 'R')) AND ([Scoped_Application_Id] IS NOT NULL)
			OR
			   ([Scope_Code] IN ('D', 'A', 'G', 'V', 'E', 'S') AND ([Scoped_Application_Id] IS NULL)))
)