--AH:ScriptId=edbb3ba7-6dc5-4471-b5d9-7284de1ac218;2836
DECLARE @ValidPrivileges TABLE([Privilege_Id] INT NOT NULL)

INSERT INTO @ValidPrivileges
SELECT [Privilege_Id] = MIN([Privilege_Id])
  FROM [Privileges]
 GROUP BY [Directory_Provider_Id], [Principal_Name], [PrincipalType_Code], [Role_Id], [PrivilegeType_Code], [Environment_Id], [Application_Id]
 UNION
SELECT [Privilege_Id]
  FROM [Privileges]
 WHERE [ApplicationGroup_Id] IS NOT NULL AND [Application_Id] IS NULL

DELETE P
  FROM [Privileges] P
 WHERE P.[Privilege_Id] NOT IN (SELECT [Privilege_Id] FROM @ValidPrivileges)

UPDATE [Privileges]
   SET [ApplicationGroup_Id] = NULL
 WHERE [Application_Id] IS NOT NULL

ALTER TABLE [Privileges]
	ADD CONSTRAINT [CK__Privileges__ApplicationGroups]
		CHECK ([Application_Id] IS NULL OR [ApplicationGroup_Id] IS NULL)