--AH:ScriptId=f1921531-8adb-40cd-9026-27791c414023;3004

ALTER TABLE [RetentionPolicies]
  ADD [PurgeIn_Pipeline_Id] INT NULL,
      CONSTRAINT [FK__RetentionPolicies__Pipelines] FOREIGN KEY ([PurgeIn_Pipeline_Id]) REFERENCES [Pipelines] ([Pipeline_Id])
      ON DELETE CASCADE
GO

ALTER TABLE [BuildSchedules]
  ADD [ReleaseFilter_Pipeline_Id] INT NULL,
      CONSTRAINT [FK__BuildSchedules__Pipelines] FOREIGN KEY ([ReleaseFilter_Pipeline_Id]) REFERENCES [Pipelines] ([Pipeline_Id])
      ON DELETE SET NULL
GO

ALTER TABLE [Releases]
  ADD [Pipeline_Id] INT NULL,
      CONSTRAINT [FK__Releases__Pipelines] FOREIGN KEY ([Pipeline_Id]) REFERENCES [Pipelines] ([Pipeline_Id])
      ON DELETE SET NULL
GO

UPDATE [RetentionPolicies]
   SET [PurgeIn_Pipeline_Id] = P.[Pipeline_Id]
   FROM [RetentionPolicies] R
  INNER JOIN [Pipelines] P
          ON P.[MigratedFrom_Workflow_Id] = R.[PurgeIn_Workflow_Id]
GO

UPDATE [BuildSchedules]
   SET [ReleaseFilter_Pipeline_Id] = P.[Pipeline_Id]
   FROM [BuildSchedules] BS
  INNER JOIN [Pipelines] P
          ON P.[MigratedFrom_Workflow_Id] = BS.[Releasefilter_Workflow_Id]
GO

UPDATE [Releases]
   SET [Pipeline_Id] = P.[Pipeline_Id]
   FROM [Releases] R
  INNER JOIN [Pipelines] P
          ON P.[MigratedFrom_Workflow_Id] = R.[Workflow_Id]
GO