EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Calendars_GetCalendarViews',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'CalendarViews',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the views for the specified calendar.'
GO


IF OBJECT_ID('[Calendars_GetCalendarViews]') IS NOT NULL DROP PROCEDURE [Calendars_GetCalendarViews]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Calendars_GetCalendarViews]
(
    @Calendar_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

    SELECT * 
	  FROM [CalendarViews]
     WHERE [Calendar_Id] = @Calendar_Id

END
GO

GRANT EXECUTE ON [Calendars_GetCalendarViews] TO [BuildMasterUser_Role]